## content-hub 1.0.0

=== CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

cmake_minimum_required(VERSION 2.8)

project(content-hub)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(ENABLE_TESTS "Build tests" ON)
option(ENABLE_DOC "Build documentation" ON)

include (GNUInstallDirs)
find_package(GSettings)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC -pthread")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-strict-aliasing -fPIC -pthread -Wno-unused-function -Wall -Wextra -pedantic")
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")

option(Werror "Treat warnings as errors" ON)

if (Werror)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()


# Workaround for libexecdir on debian
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
endif()

set(pkglibexecdir "${CMAKE_INSTALL_FULL_LIBEXECDIR}")

set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Core)
find_package(Qt5DBus)
find_package(Qt5Gui)
find_package(PkgConfig REQUIRED)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GIO REQUIRED gio-unix-2.0)
pkg_check_modules(LOMIRI_LAUNCH REQUIRED lomiri-app-launch-0)
pkg_check_modules(GSETTINGS REQUIRED gsettings-qt)
pkg_check_modules(LOMIRI_API REQUIRED liblomiri-api)
pkg_check_modules(DBUS REQUIRED dbus-1)
pkg_check_modules(LOMIRI_DOWNLOAD_MANAGER REQUIRED lomiri-download-manager-client)
pkg_check_modules(NOTIFY REQUIRED libnotify)
pkg_check_modules(APPARMOR REQUIRED libapparmor)

pkg_check_modules(LIBERTINE libertine)
if(LIBERTINE_FOUND)
   message("Building with libertine support")
else()
   message(WARNING "Building without libertine support")
endif()

add_definitions(-DDEBUG_ENABLED)

set(GETTEXT_PACKAGE "content-hub")
add_definitions(-DI18N_DOMAIN="${GETTEXT_PACKAGE}")

set(CONTENT_HUB_VERSION_MAJOR 1)
set(CONTENT_HUB_VERSION_MINOR 0)
set(CONTENT_HUB_VERSION_PATCH 0)
set(CONTENT_HUB_VERSION "${CONTENT_HUB_VERSION_MAJOR}.${CONTENT_HUB_VERSION_MINOR}.${CONTENT_HUB_VERSION_PATCH}")

set(QML_API_VERSION_MAJOR 1)

include_directories(include)

file(GLOB_RECURSE I18N_QML_SRC_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     import/Lomiri/Content/**.qml)
list(SORT I18N_QML_SRC_FILES)

file(GLOB_RECURSE I18N_CPP_SRC_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     src/com/lomiri/content/detail/**.cpp)
list(SORT I18N_CPP_SRC_FILES)

# for dh_translations to extract the domain
# (regarding syntax consistency, see http://pad.lv/1181187)
set (GETTEXT_PACKAGE "content-hub")

if (${ENABLE_DOC})
  add_subdirectory(doc)
endif()
add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(import)
add_subdirectory(examples)
add_subdirectory(tools)

install(DIRECTORY include DESTINATION ${CMAKE_INSTALL_PREFIX})

# Build and install a pkg-config file
set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${prefix}/bin)
set(libdir ${prefix}/${CMAKE_INSTALL_LIBDIR})
set(pkg-name "libcontent-hub")
set(glib-pkg-name "libcontent-hub-glib")
configure_file(libcontent-hub.pc.in libcontent-hub.pc @ONLY)
configure_file(libcontent-hub-glib.pc.in libcontent-hub-glib.pc @ONLY)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/libcontent-hub.pc
  ${CMAKE_CURRENT_BINARY_DIR}/libcontent-hub-glib.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

if (${ENABLE_TESTS})
  enable_testing()
  find_package(CoverageReport)

  #####################################################################
  # Enable code coverage calculation with gcov/gcovr/lcov
  # Usage:
  #  * Switch build type to coverage (use ccmake or cmake-gui)
  #  * Invoke make, make test, make coverage
  #  * Find html report in subdir coveragereport
  #  * Find xml report feasible for jenkins in coverage.xml
  #####################################################################
  IF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
    SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
    SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
  ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])

  add_subdirectory(tests)

# There's no nice way to format this. Thanks CMake.
  add_test(LGPL-required
    /bin/sh -c "! grep -rl 'GNU General' ${PROJECT_SOURCE_DIR}/src/client ${PROJECT_SOURCE_DIR}/include/client ${PROJECT_SOURCE_DIR}/src/shared ${PROJECT_SOURCE_DIR}/include/shared"
  )
  add_test(GPL-required
    /bin/sh -c "! grep -rl 'GNU Lesser' ${PROJECT_SOURCE_DIR}/src/server ${PROJECT_SOURCE_DIR}/include/server ${PROJECT_SOURCE_DIR}/include/test ${PROJECT_SOURCE_DIR}/tests ${PROJECT_SOURCE_DIR}/examples"
  )
endif()

=== import/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(Lomiri)

=== tests/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(GMock REQUIRED)

add_definitions(-DQT_NO_KEYWORDS)

include_directories (
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/com/lomiri/content
  ${GIO_INCLUDE_DIRS}
  ${LIBERTINE_INCLUDE_DIRS}
  ${LOMIRI_LAUNCH_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_BINARY_DIR}/src/com/lomiri/content
  ${GMOCK_INCLUDE_DIR}
)

add_subdirectory(acceptance-tests)
add_subdirectory(qml-tests)
add_subdirectory(peers)

=== tools/send/CMakeLists.txt ===
# Copyright © 2015 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Ken VanDine <ken.vandine@canonical.com>

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/com/lomiri/content
  ${LOMIRI_LAUNCH_INCLUDE_DIRS}
)

add_executable(
  content-hub-send

  exporter.cpp
  autoexporter.cpp
  ${CMAKE_SOURCE_DIR}/src/com/lomiri/content/debug.cpp
)

target_link_libraries(content-hub-send Qt5::Core Qt5::Gui Qt5::DBus)

set_target_properties(
  content-hub-send
  PROPERTIES
  AUTOMOC TRUE
)

target_link_libraries(
  content-hub-send
 
  content-hub 
  ${LOMIRI_LAUNCH_LDFLAGS}
)

install(
  TARGETS content-hub-send
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(
  FILES content-hub-send.desktop
  DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
)

install(
    FILES content-hub-send.url-dispatcher
    DESTINATION share/url-dispatcher/urls
)

=== debian/changelog ===
content-hub (1.0.0-6) unstable; urgency=medium

  * Team upload.

  * debian/libcontent-hub1.symbols:
    + Update symbols for armel, armhf and i386.

 -- Anton Gladky <gladk@debian.org>  Mon, 10 Oct 2022 21:01:09 +0200

content-hub (1.0.0-5) unstable; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * debian/: Update upstream Git repo URL.

  [ Anton Gladky ]
  * debian/libcontent-hub1.symbols:
    + Update symbols due to gcc-12. (CloseS: #1016248)

 -- Anton Gladky <gladk@debian.org>  Mon, 10 Oct 2022 07:28:25 +0200

content-hub (1.0.0-4) unstable; urgency=medium

  * debian/libcontent-hub1.symbols:
    + Update symbols for riscv64 and armel. (Closes: #1014126).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 03 Jul 2022 22:26:02 +0200

content-hub (1.0.0-3) unstable; urgency=medium

  * debian/patches: Update patches from upstream repo:
    + Rename 1003 to 0007 (and cherry-pick from upstream).
    + Drop 1004 in favour of 0008 (cherry-picked from upstream).
    + Rename 0002 to 0006.
    + Add 0009 and 0011.
  * debian/content-hub.install:
    + Adjust (lomiri-)url-dispatcher schema path.
  * debian/tests/:
    + Silence various dconf related warnings.
    + Disable aa-check test for now. This needs closer investigation.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 03 Jul 2022 11:57:49 +0200

content-hub (1.0.0-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Mar 2022 20:42:53 +0100

content-hub (1.0.0-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #1001993).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Feb 2022 23:21:17 +0100

=== debian/control ===
Source: content-hub
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus-test-runner <!nocheck>,
               debhelper-compat (= 13),
               dh-apparmor,
               doxygen <!nodoc>,
               google-mock <!nocheck>,
               libgtest-dev,
               lcov <!nocheck>,
               libapparmor-dev,
               libdbus-1-dev,
               libglib2.0-dev,
               libgsettings-qt-dev,
#               liblibertine-dev,
               liblomiri-api-dev,
               libnotify-dev,
               liblomiri-download-manager-client-dev,
               liblomiri-app-launch-dev (>= 0.1.1),
               qml-module-lomiri-components,
               qml-module-qtquick2,
               qml-module-qttest <!nocheck>,
               qml-module-qtqml-workerscript2,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qttools5-dev-tools,
               rdfind,
               symlinks,
               xvfb <!nocheck>,
               xauth,
               pkg-kde-tools,
Standards-Version: 4.6.0
Section: misc
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/content-hub
Vcs-Git: https://salsa.debian.org/ubports-team/content-hub.git
Vcs-Browser: https://salsa.debian.org/ubports-team/content-hub/

Package: content-hub
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: content sharing/picking service for Lomiri
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 This package includes the content sharing service.

Package: libcontent-hub1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: content-hub
Description: content sharing/picking library for Lomiri
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 This package includes the content sharing libraries.

Package: libcontent-hub-glib1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: content-hub
Description: content sharing/picking library for Lomiri - GLib bindings
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 This package includes GLib bindings of the content sharing libraries.

Package: libcontent-hub-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcontent-hub1 (= ${binary:Version}),
         ${misc:Depends},
Description: content sharing development files for Lomiri
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 All the development headers and libraries for the content hub

Package: libcontent-hub-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcontent-hub-glib1 (= ${binary:Version}),
         ${misc:Depends},
Description: content sharing development files for Lomiri - GLib bindings
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 GLib bindings of the development headers and libraries for the content hub

Package: qml-module-lomiri-content
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: libcontent-hub1,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: QML binding for Lomiri's libcontent-hub
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 QML bindings for libcontent-hub

Package: libcontent-hub-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
Description: Documentation files for Lomiri's libcontent-hub-dev
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 Documentation files for the libcontent-hub development

Package: qml-module-lomiri-content-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
Description: Documentation files for QML module Lomiri Content
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 Documentation files for QML development.

Package: content-hub-testability
Architecture: any
Build-Profiles: <!noinsttest>
Depends: ${misc:Depends},
         ${shlibs:Depends},
         content-hub,
Description: content sharing testability
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 Files and utilities needed for automated testing of content-hub

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export CONTENT_HUB_TESTING=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  CONFIGURE_OPTS += -DENABLE_TESTS=OFF
  DEB_BUILD_PROFILES += noinsttest
endif

ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
  CONFIGURE_OPTS += -DENABLE_DOC=OFF
endif

%:
	dh $@ $(PROJECT_DH_OPTIONS) --with pkgkde_symbolshelper -- -B build

override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_install:
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
	mkdir -p debian/content-hub-testability
endif
	dh_auto_install
	dh_apparmor -pcontent-hub-testability --profile-name=content-hub-testability
	mkdir -p debian/tmp/var/cache/content-hub/peers

override_dh_install:
	rmdir debian/tmp/usr/share/doc/content-hub/qml/html/images/
	cd debian/tmp/usr/share/doc/content-hub/cpp/html/ && rdfind -makesymlinks true .
	cd debian/tmp/usr/share/doc/content-hub/cpp/html/ && symlinks -c .
	cd debian/tmp/usr/share/doc/content-hub/qml/html/ && rdfind -makesymlinks true .
	cd debian/tmp/usr/share/doc/content-hub/qml/html/ && symlinks -c .
	dh_install

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## content-hub 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,20 +14,21 @@
 #
 # Authored by: Thomas Voss <thomas.voss@canonical.com>
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.5)
 
-project(content-hub)
+project(content-hub VERSION 1.0.1)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 option(ENABLE_TESTS "Build tests" ON)
 option(ENABLE_DOC "Build documentation" ON)
+option(ENABLE_UBUNTU_COMPAT "Enable Ubuntu.Content QML compatibility layer" OFF)
 
 include (GNUInstallDirs)
 find_package(GSettings)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC -pthread")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-strict-aliasing -fPIC -pthread -Wno-unused-function -Wall -Wextra -pedantic")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -fno-strict-aliasing -fPIC -pthread -Wno-unused-function -Wall -Wextra -pedantic")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
 
 option(Werror "Treat warnings as errors" ON)
@@ -82,16 +83,6 @@
 set(QML_API_VERSION_MAJOR 1)
 
 include_directories(include)
-
-file(GLOB_RECURSE I18N_QML_SRC_FILES
-     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
-     import/Lomiri/Content/**.qml)
-list(SORT I18N_QML_SRC_FILES)
-
-file(GLOB_RECURSE I18N_CPP_SRC_FILES
-     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
-     src/com/lomiri/content/detail/**.cpp)
-list(SORT I18N_CPP_SRC_FILES)
 
 # for dh_translations to extract the domain
 # (regarding syntax consistency, see http://pad.lv/1181187)

=== import/Lomiri/Content/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

project(content-hub-plugin)

find_package(Qt5Quick REQUIRED)
set(CMAKE_AUTOMOC TRUE)

set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
set(CONTENT_HUB_IMPORTS_DIR "${QT_IMPORTS_DIR}/Lomiri/Content")

set(PLUGIN lomiri-content-hub-plugin)

add_definitions(-DQT_NO_KEYWORDS)

include_directories(
    ${CMAKE_SOURCE_DIR}
    ${LOMIRI_API_INCLUDE_DIRS}
    ${DBUS_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${LOMIRI_LAUNCH_INCLUDE_DIRS}
)

set(PLUGIN_HDRS
    contenthandler.h
    contenthub.h
    contenthubplugin.h
    contenticonprovider.h
    contentitem.h
    contentpeer.h
    contentpeermodel.h
    contentscope.h
    contentstore.h
    contenttransfer.h
    contenttype.h
    qmlimportexporthandler.h
    )

set(PLUGIN_SRC
    contenthandler.cpp
    contenthub.cpp
    contenthubplugin.cpp
    contenticonprovider.cpp
    contentitem.cpp
    contentpeer.cpp
    contentpeermodel.cpp
    contentscope.cpp
    contentstore.cpp
    contenttransfer.cpp
    contenttype.cpp
    qmlimportexporthandler.cpp
    ../../../src/com/lomiri/content/debug.cpp
    )

add_library(${PLUGIN} MODULE ${PLUGIN_SRC} ${PLUGIN_HDRS})

target_link_libraries(${PLUGIN} Qt5::Core Qt5::Qml Qt5::Quick Qt5::DBus)
target_link_libraries(
    ${PLUGIN}
    content-hub
    ${LOMIRI_API_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${LOMIRI_LAUNCH_LDFLAGS}
)

install(TARGETS ${PLUGIN} DESTINATION ${CONTENT_HUB_IMPORTS_DIR})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qmldir DESTINATION ${CONTENT_HUB_IMPORTS_DIR})

file(GLOB QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml qmldir)
install(FILES ${QML_FILES} DESTINATION ${CONTENT_HUB_IMPORTS_DIR})

if(NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
  # copy qml files and assets over to build dir to be able to import them uninstalled
  foreach(_file ${QML_FILES})
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_file}
                       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${_file}
                       COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/${_file} ${CMAKE_CURRENT_BINARY_DIR}/${_file})
  endforeach(_file)
  add_custom_target(copy_files_to_build_dir DEPENDS ${QML_FILES})
  add_dependencies(${PLUGIN} copy_files_to_build_dir)
endif()

if(NOT CMAKE_CROSSCOMPILING)
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes
    COMMAND qmlplugindump -qt=qt5 -noinstantiate -notrelocatable Lomiri.Content 1.1 ../../ > ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes
    DEPENDS ${PLUGIN}
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
)

add_custom_target(Content_generated_files ALL SOURCES ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes DESTINATION ${CONTENT_HUB_IMPORTS_DIR})
endif()

=== import/Ubuntu/Content/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
# Copyright © 2022 UBports Foundation.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
set(CONTENT_HUB_IMPORTS_DIR "${QT_IMPORTS_DIR}/Ubuntu/Content")

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qmldir DESTINATION ${CONTENT_HUB_IMPORTS_DIR})

file(GLOB QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml *.js qmldir)
install(FILES ${QML_FILES} DESTINATION ${CONTENT_HUB_IMPORTS_DIR})

if(NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
  # copy qml files and assets over to build dir to be able to import them uninstalled
  foreach(_file ${QML_FILES})
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_file}
                       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${_file}
                       COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/${_file} ${CMAKE_CURRENT_BINARY_DIR}/${_file})
  endforeach(_file)
  add_custom_target(copy_ubuntu_compat_files_to_build_dir DEPENDS ${QML_FILES})
endif()

=== src/com/lomiri/content/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

add_subdirectory(service)

if(LIBERTINE_FOUND)
   add_definitions(-DWITH_LIBERTINE)
endif()

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/include
  ${LOMIRI_API_INCLUDE_DIRS}
  ${LOMIRI_LAUNCH_INCLUDE_DIRS}
  ${LIBERTINE_INCLUDE_DIRS}
  ${LOMIRI_DOWNLOAD_MANAGER_INCLUDE_DIRS}
  ${NOTIFY_INCLUDE_DIRS}
  ${APPARMOR_INCLUDE_DIRS}
  ${GLIB_INCLUDE_DIRS}
  ${GIO_INCLUDE_DIRS}
)

qt5_add_dbus_interface(
  CONTENT_SERVICE_STUB ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Service.xml 
  ContentServiceInterface)
qt5_add_dbus_adaptor(
  CONTENT_SERVICE_SKELETON ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Service.xml 
  detail/service.h com::lomiri::content::detail::Service)

qt5_add_dbus_interface(
  CONTENT_TRANSFER_STUB ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Transfer.xml
  ContentTransferInterface)
qt5_add_dbus_adaptor(
  CONTENT_TRANSFER_SKELETON ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Transfer.xml 
  detail/transfer.h com::lomiri::content::detail::Transfer)

qt5_add_dbus_interface(
  CONTENT_PASTE_STUB ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Paste.xml
  ContentPasteInterface)
qt5_add_dbus_adaptor(
  CONTENT_PASTE_SKELETON ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Paste.xml 
  detail/paste.h com::lomiri::content::detail::Paste)

qt5_add_dbus_interface(
  CONTENT_HANDLER_STUB ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Handler.xml 
  ContentHandlerInterface)
qt5_add_dbus_adaptor(
  CONTENT_HANDLER_SKELETON ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Handler.xml 
  detail/handler.h com::lomiri::content::detail::Handler)

qt5_wrap_cpp(CONTENT_HUB_MOCS ${CMAKE_SOURCE_DIR}/include/com/lomiri/content/hub.h)
qt5_wrap_cpp(CONTENT_HUB_MOCS ${CMAKE_SOURCE_DIR}/include/com/lomiri/content/import_export_handler.h)
qt5_wrap_cpp(CONTENT_HUB_MOCS ${CMAKE_SOURCE_DIR}/include/com/lomiri/content/item.h)
qt5_wrap_cpp(CONTENT_HUB_MOCS ${CMAKE_SOURCE_DIR}/include/com/lomiri/content/paste.h)
qt5_wrap_cpp(CONTENT_HUB_MOCS ${CMAKE_SOURCE_DIR}/include/com/lomiri/content/peer.h)
qt5_wrap_cpp(CONTENT_HUB_MOCS ${CMAKE_SOURCE_DIR}/include/com/lomiri/content/store.h)
qt5_wrap_cpp(CONTENT_HUB_MOCS ${CMAKE_SOURCE_DIR}/include/com/lomiri/content/transfer.h)
qt5_wrap_cpp(CONTENT_HUB_MOCS ${CMAKE_SOURCE_DIR}/include/com/lomiri/content/type.h)

add_library(
  content-hub SHARED

  hub.cpp
  import_export_handler.cpp
  item.cpp
  paste.cpp
  peer.cpp
  store.cpp
  transfer.cpp
  type.cpp
  utils.cpp
  debug.cpp

  detail/app_manager.cpp
  detail/paste.cpp
  detail/service.cpp
  detail/transfer.cpp
  detail/handler.cpp
  detail/i18n.cpp

  ${CONTENT_HUB_MOCS}
  ${CONTENT_SERVICE_STUB}
  ${CONTENT_SERVICE_SKELETON}
  ${CONTENT_PASTE_STUB}
  ${CONTENT_PASTE_SKELETON}
  ${CONTENT_TRANSFER_STUB}
  ${CONTENT_TRANSFER_SKELETON}
  ${CONTENT_HANDLER_STUB}
  ${CONTENT_HANDLER_SKELETON}
)

set_target_properties(
  content-hub

  PROPERTIES
  VERSION ${CONTENT_HUB_VERSION_MAJOR}.${CONTENT_HUB_VERSION_MINOR}.${CONTENT_HUB_VERSION_PATCH}
  SOVERSION ${CONTENT_HUB_VERSION_MAJOR}
  AUTOMOC TRUE
)

target_link_libraries(content-hub Qt5::Core Qt5::DBus Qt5::Gui)

target_link_libraries(content-hub
    ${LOMIRI_LAUNCH_LDFLAGS}
    ${LIBERTINE_LDFLAGS}
    ${LOMIRI_API_LIBRARIES}
    ${LOMIRI_DOWNLOAD_MANAGER_LIBRARIES}
    ${NOTIFY_LIBRARIES}
    ${APPARMOR_LDFLAGS}
)

find_program(
  GDBUS_CODEGEN
  gdbus-codegen
)

set(
  DBUS_XML
  ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Handler.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Paste.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Service.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/detail/com.lomiri.content.Transfer.xml
)

set(
  DBUS_ANNOTATIONS
  --annotate com.lomiri.content.dbus.Paste.Charge\(\)[mimeData] org.gtk.GDBus.C.ForceGVariant true
  --annotate com.lomiri.content.dbus.Paste.MimeData\(\)[mimeData] org.gtk.GDBus.C.ForceGVariant true
  --annotate com.lomiri.content.dbus.Service.CreatePaste\(\)[mimeData] org.gtk.GDBus.C.ForceGVariant true
  --annotate com.lomiri.content.dbus.Service.GetLatestPasteData\(\)[mimeData] org.gtk.GDBus.C.ForceGVariant true
  --annotate com.lomiri.content.dbus.Service.GetPasteData\(\)[mimeData] org.gtk.GDBus.C.ForceGVariant true
)

add_custom_command(
  OUTPUT glib/content-hub-glib.h glib/content-hub-glib.c
  COMMAND ${CMAKE_COMMAND} -E make_directory glib
  COMMAND ${GDBUS_CODEGEN}
          --interface-prefix com.lomiri.content.dbus
          --generate-c-code glib/content-hub-glib
          --c-namespace ContentHub
          ${DBUS_ANNOTATIONS}
          ${DBUS_XML}
  DEPENDS ${DBUS_XML}
  VERBATIM
)

add_library(
  content-hub-glib SHARED
  glib/content-hub-glib.h
  glib/content-hub-glib.c
)

target_link_libraries(
  content-hub-glib
  ${GIO_LIBRARIES}
)

set_target_properties(
  content-hub-glib
  PROPERTIES
  VERSION ${CONTENT_HUB_VERSION_MAJOR}.${CONTENT_HUB_VERSION_MINOR}.${CONTENT_HUB_VERSION_PATCH}
  SOVERSION ${CONTENT_HUB_VERSION_MAJOR}
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/glib/content-hub-glib.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/com/lomiri/content/glib
)

install(
  TARGETS content-hub content-hub-glib
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

## content-hub 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-project(content-hub VERSION 1.0.1)
+project(content-hub VERSION 1.0.2)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== doc/qml/CMakeLists.txt ===
# add a target to generate API documentation with qdoc
FIND_PROGRAM(QDOC_EXECUTABLE qdoc)
if(QDOC_EXECUTABLE)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/lomiri-content-hub.qdocconf.in ${CMAKE_CURRENT_BINARY_DIR}/lomiri-content-hub.qdocconf @ONLY)
add_custom_target(qmldoc
${QDOC_EXECUTABLE} -qt=qt5 ${CMAKE_CURRENT_BINARY_DIR}/lomiri-content-hub.qdocconf
WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
COMMENT "Generating QML API documentation with qdoc" VERBATIM
)

# copy stylesheet files into build directory for shadow builds
file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/css"
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
    )

install(
  DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html/
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/qml/html
)

add_dependencies(doc qmldoc)

endif(QDOC_EXECUTABLE)

=== examples/exporter/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Ken VanDine <ken.vandine@canonical.com>

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(
  exporter

  exporter.cpp
  exampleexporter.cpp
)

target_link_libraries(exporter Qt5::Core Qt5::Gui Qt5::DBus)

set_target_properties(
  exporter
  PROPERTIES
  AUTOMOC TRUE
)

target_link_libraries(
  exporter
 
  content-hub 
)

=== examples/importer/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Ken VanDine <ken.vandine@canonical.com>

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(
  importer

  importer.cpp
  exampleimporter.cpp
  example.cpp
)

target_link_libraries(importer Qt5::Core Qt5::Gui Qt5::DBus)

set_target_properties(
  importer
  PROPERTIES
  AUTOMOC TRUE
)

target_link_libraries(
  importer
 
  content-hub 
)

=== tests/acceptance-tests/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

project(test CXX C)
qt5_wrap_cpp(MOCS test_harness.h)

set(TESTS
  app_hub_communication_default_source
  app_hub_communication_known_sources
  app_hub_communication_stores
  app_hub_communication_transfer
  app_hub_communication_paste
  app_hub_communication_handler
  test_utils
  test_types
  mimedata_test
  glib_test
)

set(TEST_LIBS
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  content-hub
)

foreach(test ${TESTS})
  # set the sources per test
  set(${test}_SOURCES
    ${test}.cpp
    ${MOCS}
    transfer_files
  )
endforeach(test)

foreach(test ${TESTS})
  # set targets, linked libs and test
  add_executable(${test}
    ${${test}_SOURCES}
  )
  find_package(Qt5Test REQUIRED)
  target_link_libraries(${test} Qt5::Core Qt5::Gui Qt5::DBus Qt5::Test)

  target_link_libraries(${test}
    ${TEST_LIBS}
  )

  add_test(NAME ${test} COMMAND dbus-test-runner --task ${CMAKE_CURRENT_BINARY_DIR}/${test})

  SET_TESTS_PROPERTIES(${test}
    PROPERTIES ENVIRONMENT "CONTENT_HUB_TESTING=1")
endforeach(test)

add_executable(
  test_registry_updater
  test_registry_updater.cpp
  ${MOCS}
  ${CMAKE_SOURCE_DIR}/src/com/lomiri/content/service/registry-updater.cpp
  ${CMAKE_SOURCE_DIR}/src/com/lomiri/content/service/registry.cpp
  good.json
  bad.json
  source_all.json
)

target_link_libraries(test_registry_updater Qt5::Core Qt5::Gui Qt5::DBus Qt5::Test)
target_link_libraries(test_registry_updater ${TEST_LIBS} ${GSETTINGS_LDFLAGS})
add_test(NAME test_registry_updater COMMAND dbus-test-runner --task ${CMAKE_CURRENT_BINARY_DIR}/test_registry_updater)

SET_TESTS_PROPERTIES(test_registry_updater
  PROPERTIES ENVIRONMENT "CONTENT_HUB_TESTING=1")

set_target_properties(
  test_registry_updater
  PROPERTIES
  AUTOMOC TRUE
)

file(COPY good.json bad.json source_all.json DESTINATION .)

target_link_libraries(glib_test content-hub-glib)

add_custom_command(
  OUTPUT transfer_files
  COMMAND cmake -E touch file1 file2 file3
)

=== tests/qml-tests-ubuntu-compat/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(TEST tst_QmlTests_UbuntuCompat)
set(XVFB_CMD xvfb-run -a -s "-screen 0 640x480x24")
add_executable(${TEST} ../qml-tests/tst_QmlTests.cpp)
find_package(Qt5Quick REQUIRED)
find_package(Qt5QuickTest REQUIRED)
target_link_libraries(${TEST} Qt5::Core Qt5::Qml Qt5::Quick Qt5::Test Qt5::QuickTest)
add_test(NAME ${TEST} COMMAND ${XVFB_CMD} ${CMAKE_CURRENT_BINARY_DIR}/${TEST})
set_tests_properties(${TEST} PROPERTIES ENVIRONMENT "QT_QPA_PLATFORM=minimal;QML2_IMPORT_PATH=${CMAKE_BINARY_DIR}/import;APP_ID=com.some.app.for.testing")

set(out_qml_files)
file(GLOB qmlTestFiles RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/../qml-tests ../qml-tests/*.qml)
foreach(qmlTestFile ${qmlTestFiles})
  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${qmlTestFile}
                      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../qml-tests/${qmlTestFile}
                      COMMAND sed -e 's/Lomiri.Content/Ubuntu.Content/g' ${CMAKE_CURRENT_SOURCE_DIR}/../qml-tests/${qmlTestFile} >${CMAKE_CURRENT_BINARY_DIR}/${qmlTestFile})
endforeach(qmlTestFile)
add_custom_target(copy_qml_test_ubuntu_compat_files_to_build_dir DEPENDS ${qmlTestFiles})
add_dependencies(${TEST}
  lomiri-content-hub-plugin
  copy_ubuntu_compat_files_to_build_dir
  copy_qml_test_ubuntu_compat_files_to_build_dir
)

=== tools/send/CMakeLists.txt ===
--- 
+++ 
@@ -55,5 +55,5 @@
 
 install(
     FILES content-hub-send.url-dispatcher
-    DESTINATION share/url-dispatcher/urls
+    DESTINATION share/lomiri-url-dispatcher/urls
 )

=== import/Ubuntu/Content/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,15 @@
 set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
 set(CONTENT_HUB_IMPORTS_DIR "${QT_IMPORTS_DIR}/Ubuntu/Content")
 
-install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qmldir DESTINATION ${CONTENT_HUB_IMPORTS_DIR})
+set(PLUGIN "ubuntu-content-hub-plugin")
+
+add_custom_target(${PLUGIN} ALL
+  COMMAND ${CMAKE_COMMAND} -E create_symlink 
+    ../../Lomiri/Content/liblomiri-content-hub-plugin.so
+    ${CMAKE_CURRENT_BINARY_DIR}/libubuntu-content-hub-plugin.so
+  BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/libubuntu-content-hub-plugin.so)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libubuntu-content-hub-plugin.so
+  DESTINATION ${CONTENT_HUB_IMPORTS_DIR})
 
 file(GLOB QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml *.js qmldir)
 install(FILES ${QML_FILES} DESTINATION ${CONTENT_HUB_IMPORTS_DIR})

=== tests/peers/exporter/CMakeLists.txt ===
# Copyright © 2014 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Ken VanDine <ken.vandine@canonical.com>

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(
  content-hub-test-exporter

  exporter.cpp
  autoexporter.cpp
)

target_link_libraries(content-hub-test-exporter Qt5::Core Qt5::Gui Qt5::DBus)
pkg_check_modules(APPARMOR REQUIRED libapparmor)

set_target_properties(
  content-hub-test-exporter
  PROPERTIES
  AUTOMOC TRUE
)

target_link_libraries(
  content-hub-test-exporter
 
  content-hub 
  ${APPARMOR_LDFLAGS}
)

install(
  TARGETS content-hub-test-exporter
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(
  FILES content-hub-test-exporter.json
  DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers
  RENAME content-hub-test-exporter
)

install(
  FILES content-hub-test-exporter.desktop
  DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
)

install(
  FILES content-hub-test-exporter.png
  DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/512x512/apps/
)

=== debian/changelog ===
content-hub (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 12:06:02 +0100

content-hub (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop all patches. They are included in this upstream version.
  * lintian:
    + Adjust to new syntax.
  * debian/libcontent-hub1.symbols:
    + Update symbols.
  * debian/rules:
    + Make sure the 'symlinks' command dives into the API doc's subtree.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 01:00:01 +0100

content-hub (1.0.0-7) unstable; urgency=medium

  [ Anton Gladky]
  * Add d/.gitlab-ci.yml

  [ Marius Gripsgard ]
  * [debian/*.symbols] Mark unused symbols that would otherwise be optimized out

 -- Marius Gripsgard <marius@ubports.com>  Sat, 07 Jan 2023 21:42:02 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                xvfb <!nocheck>,
                xauth,
                pkg-kde-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: misc
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/content-hub

=== debian/rules ===
--- 
+++ 
@@ -36,9 +36,9 @@
 override_dh_install:
 	rmdir debian/tmp/usr/share/doc/content-hub/qml/html/images/
 	cd debian/tmp/usr/share/doc/content-hub/cpp/html/ && rdfind -makesymlinks true .
-	cd debian/tmp/usr/share/doc/content-hub/cpp/html/ && symlinks -c .
+	cd debian/tmp/usr/share/doc/content-hub/cpp/html/ && symlinks -rc .
 	cd debian/tmp/usr/share/doc/content-hub/qml/html/ && rdfind -makesymlinks true .
-	cd debian/tmp/usr/share/doc/content-hub/qml/html/ && symlinks -c .
+	cd debian/tmp/usr/share/doc/content-hub/qml/html/ && symlinks -rc .
 	dh_install
 
 override_dh_missing:

=== debian/tests/control ===
Tests: url-dispatcher # aa-check
Depends: content-hub-testability, dbus-x11, xvfb, lomiri-app-launch
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/content-hub/tags .*/content-hub-(\d\S+)\.tar\.gz
